Statistics.Configuration (images Maven Webapp 1.2.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.images.model
Class Statistics.Configuration

    java.lang.Object
      org.gcube.application.aquamaps.images.model.Statistics.Configuration

Enclosing class:
  Statistics

    public class Statistics.Configuration

extends Object

Constructor Summary
`Statistics.Configuration()`
`Statistics.Configuration(String scope, String suitableId, String nativeId, String suitable2050Id, String native2050Id)`

Method Summary
`String` | `getNative2050Id()`
`String` | `getNativeId()`
`String` | `getScope()`
`String` | `getSuitable2050Id()`
`String` | `getSuitableId()`
`void` | `setNative2050Id(String native2050Id)`
`void` | `setNativeId(String nativeId)`
`void` | `setScope(String scope)`
`void` | `setSuitable2050Id(String suitable2050Id)`
`void` | `setSuitableId(String suitableId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statistics.Configuration

    public Statistics.Configuration(String scope,
                                    String suitableId,
                                    String nativeId,
                                    String suitable2050Id,
                                    String native2050Id)

### Statistics.Configuration

    public Statistics.Configuration()

Method Detail

### getScope

    public String getScope()

### setScope

    public void setScope(String scope)

### getSuitableId

    public String getSuitableId()

### setSuitableId

    public void setSuitableId(String suitableId)

### getNativeId

    public String getNativeId()

### setNativeId

    public void setNativeId(String nativeId)

### getSuitable2050Id

    public String getSuitable2050Id()

### setSuitable2050Id

    public void setSuitable2050Id(String suitable2050Id)

### getNative2050Id

    public String getNative2050Id()

### setNative2050Id

    public void setNative2050Id(String native2050Id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.